Package org.opensaml.saml.common.binding.security.impl

# Class OperationContextEntityIDLookup

java.lang.Object
org.opensaml.saml.common.binding.security.impl.OperationContextEntityIDLookup

All Implemented Interfaces:
  `Function<MessageContext,String>`, `ContextDataLookupFunction<MessageContext,String>`

public class OperationContextEntityIDLookup extends Object implements ContextDataLookupFunction<MessageContext,String>
Function for resolving the SAML entity ID from the parent `InOutOperationContext`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Class<? extends AbstractAuthenticatableSAMLEntityContext>`
`entityContextClass`
The actual context class holding the authenticatable SAML entity.
`private RecursiveTypedParentContextLookup<MessageContext,InOutOperationContext>`
`parentLookup`
Parent operation context lookup function.

## Constructor Summary

Constructors
Constructor
Description
`OperationContextEntityIDLookup()`
Constructor.
`OperationContextEntityIDLookup(Class<? extends AbstractAuthenticatableSAMLEntityContext> clazz)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(MessageContext messageContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### entityContextClass

@Nonnull private Class<? extends AbstractAuthenticatableSAMLEntityContext> entityContextClass
The actual context class holding the authenticatable SAML entity.

### parentLookup

@Nonnull private RecursiveTypedParentContextLookup<MessageContext,InOutOperationContext> parentLookup
Parent operation context lookup function.

## Constructor Details

### OperationContextEntityIDLookup

public OperationContextEntityIDLookup()
Constructor.

### OperationContextEntityIDLookup

public OperationContextEntityIDLookup(@Nonnull Class<? extends AbstractAuthenticatableSAMLEntityContext> clazz)
Constructor.

Parameters:
  `clazz` - the entity context class. Defaults to `SAMLPeerEntityContext`.

## Method Details

### apply

public String apply(@Nullable MessageContext messageContext)

Specified by:
  `apply` in interface `Function<MessageContext,String>`